/*
 * Copyright (c) 2014, 2019 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package org.glassfish.jersey.tests.integration.multimodule.ejb.web1;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

import org.glassfish.jersey.tests.integration.multimodule.ejb.lib.EjbCounterResource;
import org.glassfish.jersey.tests.integration.multimodule.ejb.lib.StatefulResource;
import org.glassfish.jersey.tests.integration.multimodule.ejb.lib.StatelessResource;

/**
 * JAX-RS application resource configuration that includes only
 * those JAX-RS components imported from EJB library jar.
 *
 * @author Jakub Podlesak
 */
@ApplicationPath("resources")
public class JaxRsConfiguration extends Application {

    @Override
    public Set<Class<?>> getClasses() {
        return new HashSet<Class<?>>() {{
            add(EjbCounterResource.class);
            add(StatelessResource.class);
            add(StatefulResource.class);
            add(WarStatelessResource.class);
        }};
    }
}
